Bug 1981947 - Please build openvpn-auth-ldap for EPEL 8
Summary: Please build openvpn-auth-ldap for EPEL 8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: openvpn-auth-ldap
Version: epel8
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Sean Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1983421
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-13 19:00 UTC by Robert Scheck
Modified: 2021-10-08 23:46 UTC (History)
2 users (show)

Fixed In Version: openvpn-auth-ldap-2.0.4-6.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-08 23:46:59 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1826731 1 unspecified CLOSED Support for compiling Objective C code has been discontinued in gcc compiler 2021-09-27 21:44:37 UTC
Red Hat Bugzilla 1983416 1 unspecified CLOSED Review Request: gcc-epel - Various compilers (C, C++, Objective-C, ...) 2021-09-27 01:39:47 UTC

Internal Links: 1971331

Description Robert Scheck 2021-07-13 19:00:30 UTC
Description of problem:
Please build openvpn-auth-ldap for EPEL 8.

Version-Release number of selected component (if applicable):
openvpn-auth-ldap-2.0.4-4.fc34

Actual results:
No openvpn-auth-ldap in EPEL 8.

Expected results:
openvpn-auth-ldap-2.0.4-4.el8 or better ;-)

Additional info:
Please let me know if you are not interested in maintaining the package on EPEL 8 branch.

Comment 1 Sean Callaway 2021-07-13 19:07:56 UTC
I am not interested in EPEL 8. If someone else is interested in this work, I'll request the branch for them, but as this is a non-trivial amount of work and I am no longer using OpenVPN or EL8, I'm not the one to take this.

Comment 2 Robert Scheck 2021-07-13 19:15:25 UTC
Thank you for the clarification. I noticed meanwhile that gcc-objc and gnustep-base-devel are required during build-time (and this requires gnustep-make, too).

Comment 3 Robert Scheck 2021-07-18 15:41:13 UTC
With bug #1983416 I'm trying to bring gcc-objc (and other missing parts of GCC) into EPEL 8.

Comment 4 Robert Scheck 2021-09-27 21:35:21 UTC
https://src.fedoraproject.org/rpms/openvpn-auth-ldap/pull-request/1 is my proposal to make openvpn-auth-ldap buildable for Fedora and EPEL 8+ (as of writing this needs to be built against the gnustep side tag in Koji). Thus all of the non-trivial work has been done. Now it's up to you whether you're taking care of the epel8 branch (or not), Sean. If you're still not interested, please request at least the epel8 branch.

Comment 5 Sean Callaway 2021-09-27 22:05:25 UTC
The branch was already requested (https://src.fedoraproject.org/rpms/openvpn-auth-ldap/tree/epel8), but I still have no interest in maintaining this for EL8, as stated earlier.

Comment 6 Fedora Update System 2021-09-29 20:14:05 UTC
FEDORA-EPEL-2021-7fcbbfcf40 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-7fcbbfcf40

Comment 7 Fedora Update System 2021-09-29 20:14:52 UTC
FEDORA-EPEL-2021-7fcbbfcf40 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-7fcbbfcf40

Comment 8 Fedora Update System 2021-09-30 20:48:00 UTC
FEDORA-EPEL-2021-7fcbbfcf40 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-7fcbbfcf40

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-09-30 20:57:56 UTC
FEDORA-EPEL-2021-7fcbbfcf40 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-7fcbbfcf40

Comment 10 Fedora Update System 2021-10-01 02:44:43 UTC
FEDORA-EPEL-2021-7fcbbfcf40 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-7fcbbfcf40

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-10-08 23:46:59 UTC
FEDORA-EPEL-2021-7fcbbfcf40 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.